Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.eclipse.ohf.ihe.common.ebxml._2._1.rim.impl
Class DocumentRootImpl

    java.lang.Object
      org.eclipse.emf.common.notify.impl.BasicNotifierImpl
          org.eclipse.emf.ecore.impl.BasicEObjectImpl
              org.eclipse.emf.ecore.impl.EObjectImpl
                  org.eclipse.ohf.ihe.common.ebxml._2._1.rim.impl.DocumentRootImpl

All Implemented Interfaces:
  org.eclipse.emf.common.notify.Notifier, org.eclipse.emf.ecore.EObject, org.eclipse.emf.ecore.InternalEObject, DocumentRoot

    public class DocumentRootImpl

extends org.eclipse.emf.ecore.impl.EObjectImpl
implements DocumentRoot

An implementation of the model object 'Document Root'.

The following features are implemented:

- `Mixed`
- `XMLNS Prefix Map`
- `XSI Schema Location`
- `Address`
- `Association`
- `Auditable Event`
- `Classification`
- `Classification Node`
- `Classification Scheme`
- `Description`
- `Email Address`
- `External Identifier`
- `External Link`
- `Extrinsic Object`
- `Fax Number`
- `International String`
- `Leaf Registry Object List`
- `Localized String`
- `Mobile Telephone Number`
- `Name`
- `Object Ref`
- `Object Ref List`
- `Organization`
- `Pager Number`
- `Person Name`
- `Postal Address`
- `Registry Entry`
- `Registry Object`
- `Registry Object List`
- `Registry Package`
- `Service`
- `Service Binding`
- `Slot`
- `Specification Link`
- `Telephone Number`
- `Usage Description`
- `Usage Parameter`
- `User`
- `Value`
- `Value List`

Nested Class Summary

Nested classes/interfaces inherited from class org.eclipse.emf.common.notify.impl.BasicNotifierImpl
`org.eclipse.emf.common.notify.impl.BasicNotifierImpl.EAdapterList`

Nested classes/interfaces inherited from interface org.eclipse.emf.ecore.InternalEObject
`org.eclipse.emf.ecore.InternalEObject.EStore`

Field Summary

Fields inherited from class org.eclipse.emf.ecore.impl.EObjectImpl
`ELAST_EOBJECT_FLAG`

Fields inherited from interface org.eclipse.emf.ecore.InternalEObject
`EOPPOSITE_FEATURE_BASE`

Method Summary
`org.eclipse.emf.common.notify.NotificationChain` | `basicSetAddress(PostalAddressType newAddress, org.eclipse.emf.common.notify.NotificationChain msgs)`
`org.eclipse.emf.common.notify.NotificationChain` | `basicSetAssociation(AssociationType1 newAssociation, org.eclipse.emf.common.notify.NotificationChain msgs)`
`org.eclipse.emf.common.notify.NotificationChain` | `basicSetAuditableEvent(AuditableEventType newAuditableEvent, org.eclipse.emf.common.notify.NotificationChain msgs)`
`org.eclipse.emf.common.notify.NotificationChain` | `basicSetClassification(ClassificationType newClassification, org.eclipse.emf.common.notify.NotificationChain msgs)`
`org.eclipse.emf.common.notify.NotificationChain` | `basicSetClassificationNode(ClassificationNodeType newClassificationNode, org.eclipse.emf.common.notify.NotificationChain msgs)`
`org.eclipse.emf.common.notify.NotificationChain` | `basicSetClassificationScheme(ClassificationSchemeType newClassificationScheme, org.eclipse.emf.common.notify.NotificationChain msgs)`
`org.eclipse.emf.common.notify.NotificationChain` | `basicSetDescription(InternationalStringType newDescription, org.eclipse.emf.common.notify.NotificationChain msgs)`
`org.eclipse.emf.common.notify.NotificationChain` | `basicSetEmailAddress(EmailAddressType newEmailAddress, org.eclipse.emf.common.notify.NotificationChain msgs)`
`org.eclipse.emf.common.notify.NotificationChain` | `basicSetExternalIdentifier(ExternalIdentifierType newExternalIdentifier, org.eclipse.emf.common.notify.NotificationChain msgs)`
`org.eclipse.emf.common.notify.NotificationChain` | `basicSetExternalLink(ExternalLinkType newExternalLink, org.eclipse.emf.common.notify.NotificationChain msgs)`
`org.eclipse.emf.common.notify.NotificationChain` | `basicSetExtrinsicObject(ExtrinsicObjectType newExtrinsicObject, org.eclipse.emf.common.notify.NotificationChain msgs)`
`org.eclipse.emf.common.notify.NotificationChain` | `basicSetFaxNumber(TelephoneNumberType newFaxNumber, org.eclipse.emf.common.notify.NotificationChain msgs)`
`org.eclipse.emf.common.notify.NotificationChain` | `basicSetInternationalString(InternationalStringType newInternationalString, org.eclipse.emf.common.notify.NotificationChain msgs)`
`org.eclipse.emf.common.notify.NotificationChain` | `basicSetLeafRegistryObjectList(LeafRegistryObjectListType newLeafRegistryObjectList, org.eclipse.emf.common.notify.NotificationChain msgs)`
`org.eclipse.emf.common.notify.NotificationChain` | `basicSetLocalizedString(LocalizedStringType newLocalizedString, org.eclipse.emf.common.notify.NotificationChain msgs)`
`org.eclipse.emf.common.notify.NotificationChain` | `basicSetMobileTelephoneNumber(TelephoneNumberType newMobileTelephoneNumber, org.eclipse.emf.common.notify.NotificationChain msgs)`
`org.eclipse.emf.common.notify.NotificationChain` | `basicSetName(InternationalStringType newName, org.eclipse.emf.common.notify.NotificationChain msgs)`
`org.eclipse.emf.common.notify.NotificationChain` | `basicSetObjectRef(ObjectRefType newObjectRef, org.eclipse.emf.common.notify.NotificationChain msgs)`
`org.eclipse.emf.common.notify.NotificationChain` | `basicSetObjectRefList(ObjectRefListType newObjectRefList, org.eclipse.emf.common.notify.NotificationChain msgs)`
`org.eclipse.emf.common.notify.NotificationChain` | `basicSetOrganization(OrganizationType newOrganization, org.eclipse.emf.common.notify.NotificationChain msgs)`
`org.eclipse.emf.common.notify.NotificationChain` | `basicSetPagerNumber(TelephoneNumberType newPagerNumber, org.eclipse.emf.common.notify.NotificationChain msgs)`
`org.eclipse.emf.common.notify.NotificationChain` | `basicSetPersonName(PersonNameType newPersonName, org.eclipse.emf.common.notify.NotificationChain msgs)`
`org.eclipse.emf.common.notify.NotificationChain` | `basicSetPostalAddress(PostalAddressType newPostalAddress, org.eclipse.emf.common.notify.NotificationChain msgs)`
`org.eclipse.emf.common.notify.NotificationChain` | `basicSetRegistryEntry(RegistryEntryType newRegistryEntry, org.eclipse.emf.common.notify.NotificationChain msgs)`
`org.eclipse.emf.common.notify.NotificationChain` | `basicSetRegistryObject(RegistryObjectType newRegistryObject, org.eclipse.emf.common.notify.NotificationChain msgs)`
`org.eclipse.emf.common.notify.NotificationChain` | `basicSetRegistryObjectList(RegistryObjectListType newRegistryObjectList, org.eclipse.emf.common.notify.NotificationChain msgs)`
`org.eclipse.emf.common.notify.NotificationChain` | `basicSetRegistryPackage(RegistryPackageType newRegistryPackage, org.eclipse.emf.common.notify.NotificationChain msgs)`
`org.eclipse.emf.common.notify.NotificationChain` | `basicSetService(ServiceType newService, org.eclipse.emf.common.notify.NotificationChain msgs)`
`org.eclipse.emf.common.notify.NotificationChain` | `basicSetServiceBinding(ServiceBindingType newServiceBinding, org.eclipse.emf.common.notify.NotificationChain msgs)`
`org.eclipse.emf.common.notify.NotificationChain` | `basicSetSlot(SlotType1 newSlot, org.eclipse.emf.common.notify.NotificationChain msgs)`
`org.eclipse.emf.common.notify.NotificationChain` | `basicSetSpecificationLink(SpecificationLinkType newSpecificationLink, org.eclipse.emf.common.notify.NotificationChain msgs)`
`org.eclipse.emf.common.notify.NotificationChain` | `basicSetTelephoneNumber(TelephoneNumberType newTelephoneNumber, org.eclipse.emf.common.notify.NotificationChain msgs)`
`org.eclipse.emf.common.notify.NotificationChain` | `basicSetUsageDescription(InternationalStringType newUsageDescription, org.eclipse.emf.common.notify.NotificationChain msgs)`
`org.eclipse.emf.common.notify.NotificationChain` | `basicSetUser(UserType newUser, org.eclipse.emf.common.notify.NotificationChain msgs)`
`org.eclipse.emf.common.notify.NotificationChain` | `basicSetValueList(ValueListType newValueList, org.eclipse.emf.common.notify.NotificationChain msgs)`
`java.lang.Object` | `eGet(int featureID, boolean resolve, boolean coreType)`
`org.eclipse.emf.common.notify.NotificationChain` | `eInverseRemove(org.eclipse.emf.ecore.InternalEObject otherEnd, int featureID, org.eclipse.emf.common.notify.NotificationChain msgs)`
`boolean` | `eIsSet(int featureID)`
`void` | `eSet(int featureID, java.lang.Object newValue)`
`void` | `eUnset(int featureID)`
`PostalAddressType` | `getAddress()`
`AssociationType1` | `getAssociation()`
`AuditableEventType` | `getAuditableEvent()`
`ClassificationType` | `getClassification()`
`ClassificationNodeType` | `getClassificationNode()`
`ClassificationSchemeType` | `getClassificationScheme()`
`InternationalStringType` | `getDescription()`
`EmailAddressType` | `getEmailAddress()`
`ExternalIdentifierType` | `getExternalIdentifier()`
`ExternalLinkType` | `getExternalLink()`
`ExtrinsicObjectType` | `getExtrinsicObject()`
`TelephoneNumberType` | `getFaxNumber()`
`InternationalStringType` | `getInternationalString()`
`LeafRegistryObjectListType` | `getLeafRegistryObjectList()`
`LocalizedStringType` | `getLocalizedString()`
`org.eclipse.emf.ecore.util.FeatureMap` | `getMixed()`
`TelephoneNumberType` | `getMobileTelephoneNumber()`
`InternationalStringType` | `getName()`
`ObjectRefType` | `getObjectRef()`
`ObjectRefListType` | `getObjectRefList()`
`OrganizationType` | `getOrganization()`
`TelephoneNumberType` | `getPagerNumber()`
`PersonNameType` | `getPersonName()`
`PostalAddressType` | `getPostalAddress()`
`RegistryEntryType` | `getRegistryEntry()`
`RegistryObjectType` | `getRegistryObject()`
`RegistryObjectListType` | `getRegistryObjectList()`
`RegistryPackageType` | `getRegistryPackage()`
`ServiceType` | `getService()`
`ServiceBindingType` | `getServiceBinding()`
`SlotType1` | `getSlot()`
`SpecificationLinkType` | `getSpecificationLink()`
`TelephoneNumberType` | `getTelephoneNumber()`
`InternationalStringType` | `getUsageDescription()`
`java.lang.String` | `getUsageParameter()`
`UserType` | `getUser()`
`java.lang.String` | `getValue()`
`ValueListType` | `getValueList()`
`org.eclipse.emf.common.util.EMap` | `getXMLNSPrefixMap()`
`org.eclipse.emf.common.util.EMap` | `getXSISchemaLocation()`
`void` | `setAddress(PostalAddressType newAddress)`
`void` | `setAssociation(AssociationType1 newAssociation)`
`void` | `setAuditableEvent(AuditableEventType newAuditableEvent)`
`void` | `setClassification(ClassificationType newClassification)`
`void` | `setClassificationNode(ClassificationNodeType newClassificationNode)`
`void` | `setClassificationScheme(ClassificationSchemeType newClassificationScheme)`
`void` | `setDescription(InternationalStringType newDescription)`
`void` | `setEmailAddress(EmailAddressType newEmailAddress)`
`void` | `setExternalIdentifier(ExternalIdentifierType newExternalIdentifier)`
`void` | `setExternalLink(ExternalLinkType newExternalLink)`
`void` | `setExtrinsicObject(ExtrinsicObjectType newExtrinsicObject)`
`void` | `setFaxNumber(TelephoneNumberType newFaxNumber)`
`void` | `setInternationalString(InternationalStringType newInternationalString)`
`void` | `setLeafRegistryObjectList(LeafRegistryObjectListType newLeafRegistryObjectList)`
`void` | `setLocalizedString(LocalizedStringType newLocalizedString)`
`void` | `setMobileTelephoneNumber(TelephoneNumberType newMobileTelephoneNumber)`
`void` | `setName(InternationalStringType newName)`
`void` | `setObjectRef(ObjectRefType newObjectRef)`
`void` | `setObjectRefList(ObjectRefListType newObjectRefList)`
`void` | `setOrganization(OrganizationType newOrganization)`
`void` | `setPagerNumber(TelephoneNumberType newPagerNumber)`
`void` | `setPersonName(PersonNameType newPersonName)`
`void` | `setPostalAddress(PostalAddressType newPostalAddress)`
`void` | `setRegistryEntry(RegistryEntryType newRegistryEntry)`
`void` | `setRegistryObject(RegistryObjectType newRegistryObject)`
`void` | `setRegistryObjectList(RegistryObjectListType newRegistryObjectList)`
`void` | `setRegistryPackage(RegistryPackageType newRegistryPackage)`
`void` | `setService(ServiceType newService)`
`void` | `setServiceBinding(ServiceBindingType newServiceBinding)`
`void` | `setSlot(SlotType1 newSlot)`
`void` | `setSpecificationLink(SpecificationLinkType newSpecificationLink)`
`void` | `setTelephoneNumber(TelephoneNumberType newTelephoneNumber)`
`void` | `setUsageDescription(InternationalStringType newUsageDescription)`
`void` | `setUsageParameter(java.lang.String newUsageParameter)`
`void` | `setUser(UserType newUser)`
`void` | `setValue(java.lang.String newValue)`
`void` | `setValueList(ValueListType newValueList)`
`java.lang.String` | `toString()`

Methods inherited from class org.eclipse.emf.ecore.impl.EObjectImpl
`eAdapters, eClass, eContainerFeatureID, eDeliver, eInternalContainer, eIsProxy, eSetClass, eSetDeliver, eSetProxyURI`

Methods inherited from class org.eclipse.emf.ecore.impl.BasicEObjectImpl
`eAllContents, eBaseStructuralFeatureID, eBasicRemoveFromContainer, eBasicRemoveFromContainerFeature, eBasicSetContainer, eContainer, eContainingFeature, eContainmentFeature, eContains, eContents, eCrossReferences, eDerivedStructuralFeatureID, eDerivedStructuralFeatureID, eDirectResource, eDynamicBasicRemoveFromContainer, eDynamicGet, eDynamicGet, eDynamicInverseAdd, eDynamicInverseRemove, eDynamicIsSet, eDynamicIsSet, eDynamicSet, eDynamicSet, eDynamicUnset, eDynamicUnset, eGet, eGet, eGet, eInternalResource, eInverseAdd, eInverseAdd, eInverseRemove, eIsSet, eObjectForURIFragmentSegment, eOpenGet, eOpenIsSet, eOpenSet, eOpenUnset, eProxyURI, eResolveProxy, eResource, eSet, eSetResource, eSetStore, eSetting, eStore, eUnset, eURIFragmentSegment, eVirtualGet, eVirtualGet, eVirtualIsSet, eVirtualSet, eVirtualUnset`

Methods inherited from class org.eclipse.emf.common.notify.impl.BasicNotifierImpl
`eNotificationRequired, eNotify`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Methods inherited from interface org.eclipse.emf.ecore.EObject
`eAllContents, eClass, eContainer, eContainingFeature, eContainmentFeature, eContents, eCrossReferences, eGet, eGet, eIsProxy, eIsSet, eResource, eSet, eUnset`

Methods inherited from interface org.eclipse.emf.common.notify.Notifier
`eAdapters, eDeliver, eNotify, eSetDeliver`

Methods inherited from interface org.eclipse.emf.ecore.InternalEObject
`eNotificationRequired`

Method Detail

### getMixed

    public org.eclipse.emf.ecore.util.FeatureMap getMixed()

  Specified by:
    `getMixed` in interface `DocumentRoot`
  Returns:
    the value of the 'Mixed' attribute list.
  See Also:
    `RimPackage.getDocumentRoot_Mixed()`

### getXMLNSPrefixMap

    public org.eclipse.emf.common.util.EMap getXMLNSPrefixMap()

  Specified by:
    `getXMLNSPrefixMap` in interface `DocumentRoot`
  Returns:
    the value of the 'XMLNS Prefix Map' map.
  See Also:
    `RimPackage.getDocumentRoot_XMLNSPrefixMap()`

### getXSISchemaLocation

    public org.eclipse.emf.common.util.EMap getXSISchemaLocation()

  Specified by:
    `getXSISchemaLocation` in interface `DocumentRoot`
  Returns:
    the value of the 'XSI Schema Location' map.
  See Also:
    `RimPackage.getDocumentRoot_XSISchemaLocation()`

### getAddress

    public PostalAddressType getAddress()

  Specified by:
    `getAddress` in interface `DocumentRoot`
  Returns:
    the value of the 'Address' containment reference.
  See Also:
    `DocumentRoot.setAddress(PostalAddressType)`, `RimPackage.getDocumentRoot_Address()`

### basicSetAddress

    public org.eclipse.emf.common.notify.NotificationChain basicSetAddress(PostalAddressType newAddress,
                                                                           org.eclipse.emf.common.notify.NotificationChain msgs)

### setAddress

    public void setAddress(PostalAddressType newAddress)

  Specified by:
    `setAddress` in interface `DocumentRoot`
  Parameters:
    `newAddress` - the new value of the 'Address' containment reference.
  See Also:
    `DocumentRoot.getAddress()`

### getAssociation

    public AssociationType1 getAssociation()

  Specified by:
    `getAssociation` in interface `DocumentRoot`
  Returns:
    the value of the 'Association' containment reference.
  See Also:
    `DocumentRoot.setAssociation(AssociationType1)`, `RimPackage.getDocumentRoot_Association()`

### basicSetAssociation

    public org.eclipse.emf.common.notify.NotificationChain basicSetAssociation(AssociationType1 newAssociation,
                                                                               org.eclipse.emf.common.notify.NotificationChain msgs)

### setAssociation

    public void setAssociation(AssociationType1 newAssociation)

  Specified by:
    `setAssociation` in interface `DocumentRoot`
  Parameters:
    `newAssociation` - the new value of the 'Association' containment reference.
  See Also:
    `DocumentRoot.getAssociation()`

### getAuditableEvent

    public AuditableEventType getAuditableEvent()

  Specified by:
    `getAuditableEvent` in interface `DocumentRoot`
  Returns:
    the value of the 'Auditable Event' containment reference.
  See Also:
    `DocumentRoot.setAuditableEvent(AuditableEventType)`, `RimPackage.getDocumentRoot_AuditableEvent()`

### basicSetAuditableEvent

    public org.eclipse.emf.common.notify.NotificationChain basicSetAuditableEvent(AuditableEventType newAuditableEvent,
                                                                                  org.eclipse.emf.common.notify.NotificationChain msgs)

### setAuditableEvent

    public void setAuditableEvent(AuditableEventType newAuditableEvent)

  Specified by:
    `setAuditableEvent` in interface `DocumentRoot`
  Parameters:
    `newAuditableEvent` - the new value of the 'Auditable Event' containment reference.
  See Also:
    `DocumentRoot.getAuditableEvent()`

### getClassification

    public ClassificationType getClassification()

  Specified by:
    `getClassification` in interface `DocumentRoot`
  Returns:
    the value of the 'Classification' containment reference.
  See Also:
    `DocumentRoot.setClassification(ClassificationType)`, `RimPackage.getDocumentRoot_Classification()`

### basicSetClassification

    public org.eclipse.emf.common.notify.NotificationChain basicSetClassification(ClassificationType newClassification,
                                                                                  org.eclipse.emf.common.notify.NotificationChain msgs)

### setClassification

    public void setClassification(ClassificationType newClassification)

  Specified by:
    `setClassification` in interface `DocumentRoot`
  Parameters:
    `newClassification` - the new value of the 'Classification' containment reference.
  See Also:
    `DocumentRoot.getClassification()`

### getClassificationNode

    public ClassificationNodeType getClassificationNode()

  Specified by:
    `getClassificationNode` in interface `DocumentRoot`
  Returns:
    the value of the 'Classification Node' containment reference.
  See Also:
    `DocumentRoot.setClassificationNode(ClassificationNodeType)`, `RimPackage.getDocumentRoot_ClassificationNode()`

### basicSetClassificationNode

    public org.eclipse.emf.common.notify.NotificationChain basicSetClassificationNode(ClassificationNodeType newClassificationNode,
                                                                                      org.eclipse.emf.common.notify.NotificationChain msgs)

### setClassificationNode

    public void setClassificationNode(ClassificationNodeType newClassificationNode)

  Specified by:
    `setClassificationNode` in interface `DocumentRoot`
  Parameters:
    `newClassificationNode` - the new value of the 'Classification Node' containment reference.
  See Also:
    `DocumentRoot.getClassificationNode()`

### getClassificationScheme

    public ClassificationSchemeType getClassificationScheme()

  Specified by:
    `getClassificationScheme` in interface `DocumentRoot`
  Returns:
    the value of the 'Classification Scheme' containment reference.
  See Also:
    `DocumentRoot.setClassificationScheme(ClassificationSchemeType)`, `RimPackage.getDocumentRoot_ClassificationScheme()`

### basicSetClassificationScheme

    public org.eclipse.emf.common.notify.NotificationChain basicSetClassificationScheme(ClassificationSchemeType newClassificationScheme,
                                                                                        org.eclipse.emf.common.notify.NotificationChain msgs)

### setClassificationScheme

    public void setClassificationScheme(ClassificationSchemeType newClassificationScheme)

  Specified by:
    `setClassificationScheme` in interface `DocumentRoot`
  Parameters:
    `newClassificationScheme` - the new value of the 'Classification Scheme' containment reference.
  See Also:
    `DocumentRoot.getClassificationScheme()`

### getDescription

    public InternationalStringType getDescription()

  Specified by:
    `getDescription` in interface `DocumentRoot`
  Returns:
    the value of the 'Description' containment reference.
  See Also:
    `DocumentRoot.setDescription(InternationalStringType)`, `RimPackage.getDocumentRoot_Description()`

### basicSetDescription

    public org.eclipse.emf.common.notify.NotificationChain basicSetDescription(InternationalStringType newDescription,
                                                                               org.eclipse.emf.common.notify.NotificationChain msgs)

### setDescription

    public void setDescription(InternationalStringType newDescription)

  Specified by:
    `setDescription` in interface `DocumentRoot`
  Parameters:
    `newDescription` - the new value of the 'Description' containment reference.
  See Also:
    `DocumentRoot.getDescription()`

### getEmailAddress

    public EmailAddressType getEmailAddress()

  Specified by:
    `getEmailAddress` in interface `DocumentRoot`
  Returns:
    the value of the 'Email Address' containment reference.
  See Also:
    `DocumentRoot.setEmailAddress(EmailAddressType)`, `RimPackage.getDocumentRoot_EmailAddress()`

### basicSetEmailAddress

    public org.eclipse.emf.common.notify.NotificationChain basicSetEmailAddress(EmailAddressType newEmailAddress,
                                                                                org.eclipse.emf.common.notify.NotificationChain msgs)

### setEmailAddress

    public void setEmailAddress(EmailAddressType newEmailAddress)

  Specified by:
    `setEmailAddress` in interface `DocumentRoot`
  Parameters:
    `newEmailAddress` - the new value of the 'Email Address' containment reference.
  See Also:
    `DocumentRoot.getEmailAddress()`

### getExternalIdentifier

    public ExternalIdentifierType getExternalIdentifier()

  Specified by:
    `getExternalIdentifier` in interface `DocumentRoot`
  Returns:
    the value of the 'External Identifier' containment reference.
  See Also:
    `DocumentRoot.setExternalIdentifier(ExternalIdentifierType)`, `RimPackage.getDocumentRoot_ExternalIdentifier()`

### basicSetExternalIdentifier

    public org.eclipse.emf.common.notify.NotificationChain basicSetExternalIdentifier(ExternalIdentifierType newExternalIdentifier,
                                                                                      org.eclipse.emf.common.notify.NotificationChain msgs)

### setExternalIdentifier

    public void setExternalIdentifier(ExternalIdentifierType newExternalIdentifier)

  Specified by:
    `setExternalIdentifier` in interface `DocumentRoot`
  Parameters:
    `newExternalIdentifier` - the new value of the 'External Identifier' containment reference.
  See Also:
    `DocumentRoot.getExternalIdentifier()`

### getExternalLink

    public ExternalLinkType getExternalLink()

  Specified by:
    `getExternalLink` in interface `DocumentRoot`
  Returns:
    the value of the 'External Link' containment reference.
  See Also:
    `DocumentRoot.setExternalLink(ExternalLinkType)`, `RimPackage.getDocumentRoot_ExternalLink()`

### basicSetExternalLink

    public org.eclipse.emf.common.notify.NotificationChain basicSetExternalLink(ExternalLinkType newExternalLink,
                                                                                org.eclipse.emf.common.notify.NotificationChain msgs)

### setExternalLink

    public void setExternalLink(ExternalLinkType newExternalLink)

  Specified by:
    `setExternalLink` in interface `DocumentRoot`
  Parameters:
    `newExternalLink` - the new value of the 'External Link' containment reference.
  See Also:
    `DocumentRoot.getExternalLink()`

### getExtrinsicObject

    public ExtrinsicObjectType getExtrinsicObject()

  Specified by:
    `getExtrinsicObject` in interface `DocumentRoot`
  Returns:
    the value of the 'Extrinsic Object' containment reference.
  See Also:
    `DocumentRoot.setExtrinsicObject(ExtrinsicObjectType)`, `RimPackage.getDocumentRoot_ExtrinsicObject()`

### basicSetExtrinsicObject

    public org.eclipse.emf.common.notify.NotificationChain basicSetExtrinsicObject(ExtrinsicObjectType newExtrinsicObject,
                                                                                   org.eclipse.emf.common.notify.NotificationChain msgs)

### setExtrinsicObject

    public void setExtrinsicObject(ExtrinsicObjectType newExtrinsicObject)

  Specified by:
    `setExtrinsicObject` in interface `DocumentRoot`
  Parameters:
    `newExtrinsicObject` - the new value of the 'Extrinsic Object' containment reference.
  See Also:
    `DocumentRoot.getExtrinsicObject()`

### getFaxNumber

    public TelephoneNumberType getFaxNumber()

  Specified by:
    `getFaxNumber` in interface `DocumentRoot`
  Returns:
    the value of the 'Fax Number' containment reference.
  See Also:
    `DocumentRoot.setFaxNumber(TelephoneNumberType)`, `RimPackage.getDocumentRoot_FaxNumber()`

### basicSetFaxNumber

    public org.eclipse.emf.common.notify.NotificationChain basicSetFaxNumber(TelephoneNumberType newFaxNumber,
                                                                             org.eclipse.emf.common.notify.NotificationChain msgs)

### setFaxNumber

    public void setFaxNumber(TelephoneNumberType newFaxNumber)

  Specified by:
    `setFaxNumber` in interface `DocumentRoot`
  Parameters:
    `newFaxNumber` - the new value of the 'Fax Number' containment reference.
  See Also:
    `DocumentRoot.getFaxNumber()`

### getInternationalString

    public InternationalStringType getInternationalString()

  Specified by:
    `getInternationalString` in interface `DocumentRoot`
  Returns:
    the value of the 'International String' containment reference.
  See Also:
    `DocumentRoot.setInternationalString(InternationalStringType)`, `RimPackage.getDocumentRoot_InternationalString()`

### basicSetInternationalString

    public org.eclipse.emf.common.notify.NotificationChain basicSetInternationalString(InternationalStringType newInternationalString,
                                                                                       org.eclipse.emf.common.notify.NotificationChain msgs)

### setInternationalString

    public void setInternationalString(InternationalStringType newInternationalString)

  Specified by:
    `setInternationalString` in interface `DocumentRoot`
  Parameters:
    `newInternationalString` - the new value of the 'International String' containment reference.
  See Also:
    `DocumentRoot.getInternationalString()`

### getLeafRegistryObjectList

    public LeafRegistryObjectListType getLeafRegistryObjectList()

  Specified by:
    `getLeafRegistryObjectList` in interface `DocumentRoot`
  Returns:
    the value of the 'Leaf Registry Object List' containment reference.
  See Also:
    `DocumentRoot.setLeafRegistryObjectList(LeafRegistryObjectListType)`, `RimPackage.getDocumentRoot_LeafRegistryObjectList()`

### basicSetLeafRegistryObjectList

    public org.eclipse.emf.common.notify.NotificationChain basicSetLeafRegistryObjectList(LeafRegistryObjectListType newLeafRegistryObjectList,
                                                                                          org.eclipse.emf.common.notify.NotificationChain msgs)

### setLeafRegistryObjectList

    public void setLeafRegistryObjectList(LeafRegistryObjectListType newLeafRegistryObjectList)

  Specified by:
    `setLeafRegistryObjectList` in interface `DocumentRoot`
  Parameters:
    `newLeafRegistryObjectList` - the new value of the 'Leaf Registry Object List' containment reference.
  See Also:
    `DocumentRoot.getLeafRegistryObjectList()`

### getLocalizedString

    public LocalizedStringType getLocalizedString()

  Specified by:
    `getLocalizedString` in interface `DocumentRoot`
  Returns:
    the value of the 'Localized String' containment reference.
  See Also:
    `DocumentRoot.setLocalizedString(LocalizedStringType)`, `RimPackage.getDocumentRoot_LocalizedString()`

### basicSetLocalizedString

    public org.eclipse.emf.common.notify.NotificationChain basicSetLocalizedString(LocalizedStringType newLocalizedString,
                                                                                   org.eclipse.emf.common.notify.NotificationChain msgs)

### setLocalizedString

    public void setLocalizedString(LocalizedStringType newLocalizedString)

  Specified by:
    `setLocalizedString` in interface `DocumentRoot`
  Parameters:
    `newLocalizedString` - the new value of the 'Localized String' containment reference.
  See Also:
    `DocumentRoot.getLocalizedString()`

### getMobileTelephoneNumber

    public TelephoneNumberType getMobileTelephoneNumber()

  Specified by:
    `getMobileTelephoneNumber` in interface `DocumentRoot`
  Returns:
    the value of the 'Mobile Telephone Number' containment reference.
  See Also:
    `DocumentRoot.setMobileTelephoneNumber(TelephoneNumberType)`, `RimPackage.getDocumentRoot_MobileTelephoneNumber()`

### basicSetMobileTelephoneNumber

    public org.eclipse.emf.common.notify.NotificationChain basicSetMobileTelephoneNumber(TelephoneNumberType newMobileTelephoneNumber,
                                                                                         org.eclipse.emf.common.notify.NotificationChain msgs)

### setMobileTelephoneNumber

    public void setMobileTelephoneNumber(TelephoneNumberType newMobileTelephoneNumber)

  Specified by:
    `setMobileTelephoneNumber` in interface `DocumentRoot`
  Parameters:
    `newMobileTelephoneNumber` - the new value of the 'Mobile Telephone Number' containment reference.
  See Also:
    `DocumentRoot.getMobileTelephoneNumber()`

### getName

    public InternationalStringType getName()

  Specified by:
    `getName` in interface `DocumentRoot`
  Returns:
    the value of the 'Name' containment reference.
  See Also:
    `DocumentRoot.setName(InternationalStringType)`, `RimPackage.getDocumentRoot_Name()`

### basicSetName

    public org.eclipse.emf.common.notify.NotificationChain basicSetName(InternationalStringType newName,
                                                                        org.eclipse.emf.common.notify.NotificationChain msgs)

### setName

    public void setName(InternationalStringType newName)

  Specified by:
    `setName` in interface `DocumentRoot`
  Parameters:
    `newName` - the new value of the 'Name' containment reference.
  See Also:
    `DocumentRoot.getName()`

### getObjectRef

    public ObjectRefType getObjectRef()

  Specified by:
    `getObjectRef` in interface `DocumentRoot`
  Returns:
    the value of the 'Object Ref' containment reference.
  See Also:
    `DocumentRoot.setObjectRef(ObjectRefType)`, `RimPackage.getDocumentRoot_ObjectRef()`

### basicSetObjectRef

    public org.eclipse.emf.common.notify.NotificationChain basicSetObjectRef(ObjectRefType newObjectRef,
                                                                             org.eclipse.emf.common.notify.NotificationChain msgs)

### setObjectRef

    public void setObjectRef(ObjectRefType newObjectRef)

  Specified by:
    `setObjectRef` in interface `DocumentRoot`
  Parameters:
    `newObjectRef` - the new value of the 'Object Ref' containment reference.
  See Also:
    `DocumentRoot.getObjectRef()`

### getObjectRefList

    public ObjectRefListType getObjectRefList()

  Specified by:
    `getObjectRefList` in interface `DocumentRoot`
  Returns:
    the value of the 'Object Ref List' containment reference.
  See Also:
    `DocumentRoot.setObjectRefList(ObjectRefListType)`, `RimPackage.getDocumentRoot_ObjectRefList()`

### basicSetObjectRefList

    public org.eclipse.emf.common.notify.NotificationChain basicSetObjectRefList(ObjectRefListType newObjectRefList,
                                                                                 org.eclipse.emf.common.notify.NotificationChain msgs)

### setObjectRefList

    public void setObjectRefList(ObjectRefListType newObjectRefList)

  Specified by:
    `setObjectRefList` in interface `DocumentRoot`
  Parameters:
    `newObjectRefList` - the new value of the 'Object Ref List' containment reference.
  See Also:
    `DocumentRoot.getObjectRefList()`

### getOrganization

    public OrganizationType getOrganization()

  Specified by:
    `getOrganization` in interface `DocumentRoot`
  Returns:
    the value of the 'Organization' containment reference.
  See Also:
    `DocumentRoot.setOrganization(OrganizationType)`, `RimPackage.getDocumentRoot_Organization()`

### basicSetOrganization

    public org.eclipse.emf.common.notify.NotificationChain basicSetOrganization(OrganizationType newOrganization,
                                                                                org.eclipse.emf.common.notify.NotificationChain msgs)

### setOrganization

    public void setOrganization(OrganizationType newOrganization)

  Specified by:
    `setOrganization` in interface `DocumentRoot`
  Parameters:
    `newOrganization` - the new value of the 'Organization' containment reference.
  See Also:
    `DocumentRoot.getOrganization()`

### getPagerNumber

    public TelephoneNumberType getPagerNumber()

  Specified by:
    `getPagerNumber` in interface `DocumentRoot`
  Returns:
    the value of the 'Pager Number' containment reference.
  See Also:
    `DocumentRoot.setPagerNumber(TelephoneNumberType)`, `RimPackage.getDocumentRoot_PagerNumber()`

### basicSetPagerNumber

    public org.eclipse.emf.common.notify.NotificationChain basicSetPagerNumber(TelephoneNumberType newPagerNumber,
                                                                               org.eclipse.emf.common.notify.NotificationChain msgs)

### setPagerNumber

    public void setPagerNumber(TelephoneNumberType newPagerNumber)

  Specified by:
    `setPagerNumber` in interface `DocumentRoot`
  Parameters:
    `newPagerNumber` - the new value of the 'Pager Number' containment reference.
  See Also:
    `DocumentRoot.getPagerNumber()`

### getPersonName

    public PersonNameType getPersonName()

  Specified by:
    `getPersonName` in interface `DocumentRoot`
  Returns:
    the value of the 'Person Name' containment reference.
  See Also:
    `DocumentRoot.setPersonName(PersonNameType)`, `RimPackage.getDocumentRoot_PersonName()`

### basicSetPersonName

    public org.eclipse.emf.common.notify.NotificationChain basicSetPersonName(PersonNameType newPersonName,
                                                                              org.eclipse.emf.common.notify.NotificationChain msgs)

### setPersonName

    public void setPersonName(PersonNameType newPersonName)

  Specified by:
    `setPersonName` in interface `DocumentRoot`
  Parameters:
    `newPersonName` - the new value of the 'Person Name' containment reference.
  See Also:
    `DocumentRoot.getPersonName()`

### getPostalAddress

    public PostalAddressType getPostalAddress()

  Specified by:
    `getPostalAddress` in interface `DocumentRoot`
  Returns:
    the value of the 'Postal Address' containment reference.
  See Also:
    `DocumentRoot.setPostalAddress(PostalAddressType)`, `RimPackage.getDocumentRoot_PostalAddress()`

### basicSetPostalAddress

    public org.eclipse.emf.common.notify.NotificationChain basicSetPostalAddress(PostalAddressType newPostalAddress,
                                                                                 org.eclipse.emf.common.notify.NotificationChain msgs)

### setPostalAddress

    public void setPostalAddress(PostalAddressType newPostalAddress)

  Specified by:
    `setPostalAddress` in interface `DocumentRoot`
  Parameters:
    `newPostalAddress` - the new value of the 'Postal Address' containment reference.
  See Also:
    `DocumentRoot.getPostalAddress()`

### getRegistryEntry

    public RegistryEntryType getRegistryEntry()

  Specified by:
    `getRegistryEntry` in interface `DocumentRoot`
  Returns:
    the value of the 'Registry Entry' containment reference.
  See Also:
    `DocumentRoot.setRegistryEntry(RegistryEntryType)`, `RimPackage.getDocumentRoot_RegistryEntry()`

### basicSetRegistryEntry

    public org.eclipse.emf.common.notify.NotificationChain basicSetRegistryEntry(RegistryEntryType newRegistryEntry,
                                                                                 org.eclipse.emf.common.notify.NotificationChain msgs)

### setRegistryEntry

    public void setRegistryEntry(RegistryEntryType newRegistryEntry)

  Specified by:
    `setRegistryEntry` in interface `DocumentRoot`
  Parameters:
    `newRegistryEntry` - the new value of the 'Registry Entry' containment reference.
  See Also:
    `DocumentRoot.getRegistryEntry()`

### getRegistryObject

    public RegistryObjectType getRegistryObject()

  Specified by:
    `getRegistryObject` in interface `DocumentRoot`
  Returns:
    the value of the 'Registry Object' containment reference.
  See Also:
    `DocumentRoot.setRegistryObject(RegistryObjectType)`, `RimPackage.getDocumentRoot_RegistryObject()`

### basicSetRegistryObject

    public org.eclipse.emf.common.notify.NotificationChain basicSetRegistryObject(RegistryObjectType newRegistryObject,
                                                                                  org.eclipse.emf.common.notify.NotificationChain msgs)

### setRegistryObject

    public void setRegistryObject(RegistryObjectType newRegistryObject)

  Specified by:
    `setRegistryObject` in interface `DocumentRoot`
  Parameters:
    `newRegistryObject` - the new value of the 'Registry Object' containment reference.
  See Also:
    `DocumentRoot.getRegistryObject()`

### getRegistryObjectList

    public RegistryObjectListType getRegistryObjectList()

  Specified by:
    `getRegistryObjectList` in interface `DocumentRoot`
  Returns:
    the value of the 'Registry Object List' containment reference.
  See Also:
    `DocumentRoot.setRegistryObjectList(RegistryObjectListType)`, `RimPackage.getDocumentRoot_RegistryObjectList()`

### basicSetRegistryObjectList

    public org.eclipse.emf.common.notify.NotificationChain basicSetRegistryObjectList(RegistryObjectListType newRegistryObjectList,
                                                                                      org.eclipse.emf.common.notify.NotificationChain msgs)

### setRegistryObjectList

    public void setRegistryObjectList(RegistryObjectListType newRegistryObjectList)

  Specified by:
    `setRegistryObjectList` in interface `DocumentRoot`
  Parameters:
    `newRegistryObjectList` - the new value of the 'Registry Object List' containment reference.
  See Also:
    `DocumentRoot.getRegistryObjectList()`

### getRegistryPackage

    public RegistryPackageType getRegistryPackage()

  Specified by:
    `getRegistryPackage` in interface `DocumentRoot`
  Returns:
    the value of the 'Registry Package' containment reference.
  See Also:
    `DocumentRoot.setRegistryPackage(RegistryPackageType)`, `RimPackage.getDocumentRoot_RegistryPackage()`

### basicSetRegistryPackage

    public org.eclipse.emf.common.notify.NotificationChain basicSetRegistryPackage(RegistryPackageType newRegistryPackage,
                                                                                   org.eclipse.emf.common.notify.NotificationChain msgs)

### setRegistryPackage

    public void setRegistryPackage(RegistryPackageType newRegistryPackage)

  Specified by:
    `setRegistryPackage` in interface `DocumentRoot`
  Parameters:
    `newRegistryPackage` - the new value of the 'Registry Package' containment reference.
  See Also:
    `DocumentRoot.getRegistryPackage()`

### getService

    public ServiceType getService()

  Specified by:
    `getService` in interface `DocumentRoot`
  Returns:
    the value of the 'Service' containment reference.
  See Also:
    `DocumentRoot.setService(ServiceType)`, `RimPackage.getDocumentRoot_Service()`

### basicSetService

    public org.eclipse.emf.common.notify.NotificationChain basicSetService(ServiceType newService,
                                                                           org.eclipse.emf.common.notify.NotificationChain msgs)

### setService

    public void setService(ServiceType newService)

  Specified by:
    `setService` in interface `DocumentRoot`
  Parameters:
    `newService` - the new value of the 'Service' containment reference.
  See Also:
    `DocumentRoot.getService()`

### getServiceBinding

    public ServiceBindingType getServiceBinding()

  Specified by:
    `getServiceBinding` in interface `DocumentRoot`
  Returns:
    the value of the 'Service Binding' containment reference.
  See Also:
    `DocumentRoot.setServiceBinding(ServiceBindingType)`, `RimPackage.getDocumentRoot_ServiceBinding()`

### basicSetServiceBinding

    public org.eclipse.emf.common.notify.NotificationChain basicSetServiceBinding(ServiceBindingType newServiceBinding,
                                                                                  org.eclipse.emf.common.notify.NotificationChain msgs)

### setServiceBinding

    public void setServiceBinding(ServiceBindingType newServiceBinding)

  Specified by:
    `setServiceBinding` in interface `DocumentRoot`
  Parameters:
    `newServiceBinding` - the new value of the 'Service Binding' containment reference.
  See Also:
    `DocumentRoot.getServiceBinding()`

### getSlot

    public SlotType1 getSlot()

  Specified by:
    `getSlot` in interface `DocumentRoot`
  Returns:
    the value of the 'Slot' containment reference.
  See Also:
    `DocumentRoot.setSlot(SlotType1)`, `RimPackage.getDocumentRoot_Slot()`

### basicSetSlot

    public org.eclipse.emf.common.notify.NotificationChain basicSetSlot(SlotType1 newSlot,
                                                                        org.eclipse.emf.common.notify.NotificationChain msgs)

### setSlot

    public void setSlot(SlotType1 newSlot)

  Specified by:
    `setSlot` in interface `DocumentRoot`
  Parameters:
    `newSlot` - the new value of the 'Slot' containment reference.
  See Also:
    `DocumentRoot.getSlot()`

### getSpecificationLink

    public SpecificationLinkType getSpecificationLink()

  Specified by:
    `getSpecificationLink` in interface `DocumentRoot`
  Returns:
    the value of the 'Specification Link' containment reference.
  See Also:
    `DocumentRoot.setSpecificationLink(SpecificationLinkType)`, `RimPackage.getDocumentRoot_SpecificationLink()`

### basicSetSpecificationLink

    public org.eclipse.emf.common.notify.NotificationChain basicSetSpecificationLink(SpecificationLinkType newSpecificationLink,
                                                                                     org.eclipse.emf.common.notify.NotificationChain msgs)

### setSpecificationLink

    public void setSpecificationLink(SpecificationLinkType newSpecificationLink)

  Specified by:
    `setSpecificationLink` in interface `DocumentRoot`
  Parameters:
    `newSpecificationLink` - the new value of the 'Specification Link' containment reference.
  See Also:
    `DocumentRoot.getSpecificationLink()`

### getTelephoneNumber

    public TelephoneNumberType getTelephoneNumber()

  Specified by:
    `getTelephoneNumber` in interface `DocumentRoot`
  Returns:
    the value of the 'Telephone Number' containment reference.
  See Also:
    `DocumentRoot.setTelephoneNumber(TelephoneNumberType)`, `RimPackage.getDocumentRoot_TelephoneNumber()`

### basicSetTelephoneNumber

    public org.eclipse.emf.common.notify.NotificationChain basicSetTelephoneNumber(TelephoneNumberType newTelephoneNumber,
                                                                                   org.eclipse.emf.common.notify.NotificationChain msgs)

### setTelephoneNumber

    public void setTelephoneNumber(TelephoneNumberType newTelephoneNumber)

  Specified by:
    `setTelephoneNumber` in interface `DocumentRoot`
  Parameters:
    `newTelephoneNumber` - the new value of the 'Telephone Number' containment reference.
  See Also:
    `DocumentRoot.getTelephoneNumber()`

### getUsageDescription

    public InternationalStringType getUsageDescription()

  Specified by:
    `getUsageDescription` in interface `DocumentRoot`
  Returns:
    the value of the 'Usage Description' containment reference.
  See Also:
    `DocumentRoot.setUsageDescription(InternationalStringType)`, `RimPackage.getDocumentRoot_UsageDescription()`

### basicSetUsageDescription

    public org.eclipse.emf.common.notify.NotificationChain basicSetUsageDescription(InternationalStringType newUsageDescription,
                                                                                    org.eclipse.emf.common.notify.NotificationChain msgs)

### setUsageDescription

    public void setUsageDescription(InternationalStringType newUsageDescription)

  Specified by:
    `setUsageDescription` in interface `DocumentRoot`
  Parameters:
    `newUsageDescription` - the new value of the 'Usage Description' containment reference.
  See Also:
    `DocumentRoot.getUsageDescription()`

### getUsageParameter

    public java.lang.String getUsageParameter()

  Specified by:
    `getUsageParameter` in interface `DocumentRoot`
  Returns:
    the value of the 'Usage Parameter' attribute.
  See Also:
    `DocumentRoot.setUsageParameter(String)`, `RimPackage.getDocumentRoot_UsageParameter()`

### setUsageParameter

    public void setUsageParameter(java.lang.String newUsageParameter)

  Specified by:
    `setUsageParameter` in interface `DocumentRoot`
  Parameters:
    `newUsageParameter` - the new value of the 'Usage Parameter' attribute.
  See Also:
    `DocumentRoot.getUsageParameter()`

### getUser

    public UserType getUser()

  Specified by:
    `getUser` in interface `DocumentRoot`
  Returns:
    the value of the 'User' containment reference.
  See Also:
    `DocumentRoot.setUser(UserType)`, `RimPackage.getDocumentRoot_User()`

### basicSetUser

    public org.eclipse.emf.common.notify.NotificationChain basicSetUser(UserType newUser,
                                                                        org.eclipse.emf.common.notify.NotificationChain msgs)

### setUser

    public void setUser(UserType newUser)

  Specified by:
    `setUser` in interface `DocumentRoot`
  Parameters:
    `newUser` - the new value of the 'User' containment reference.
  See Also:
    `DocumentRoot.getUser()`

### getValue

    public java.lang.String getValue()

  Specified by:
    `getValue` in interface `DocumentRoot`
  Returns:
    the value of the 'Value' attribute.
  See Also:
    `DocumentRoot.setValue(String)`, `RimPackage.getDocumentRoot_Value()`

### setValue

    public void setValue(java.lang.String newValue)

  Specified by:
    `setValue` in interface `DocumentRoot`
  Parameters:
    `newValue` - the new value of the 'Value' attribute.
  See Also:
    `DocumentRoot.getValue()`

### getValueList

    public ValueListType getValueList()

  Specified by:
    `getValueList` in interface `DocumentRoot`
  Returns:
    the value of the 'Value List' containment reference.
  See Also:
    `DocumentRoot.setValueList(ValueListType)`, `RimPackage.getDocumentRoot_ValueList()`

### basicSetValueList

    public org.eclipse.emf.common.notify.NotificationChain basicSetValueList(ValueListType newValueList,
                                                                             org.eclipse.emf.common.notify.NotificationChain msgs)

### setValueList

    public void setValueList(ValueListType newValueList)

  Specified by:
    `setValueList` in interface `DocumentRoot`
  Parameters:
    `newValueList` - the new value of the 'Value List' containment reference.
  See Also:
    `DocumentRoot.getValueList()`

### eInverseRemove

    public org.eclipse.emf.common.notify.NotificationChain eInverseRemove(org.eclipse.emf.ecore.InternalEObject otherEnd,
                                                                          int featureID,
                                                                          org.eclipse.emf.common.notify.NotificationChain msgs)

  Overrides:
    `eInverseRemove` in class `org.eclipse.emf.ecore.impl.BasicEObjectImpl`

### eGet

    public java.lang.Object eGet(int featureID,
                                 boolean resolve,
                                 boolean coreType)

  Specified by:
    `eGet` in interface `org.eclipse.emf.ecore.InternalEObject`
  Overrides:
    `eGet` in class `org.eclipse.emf.ecore.impl.BasicEObjectImpl`

### eSet

    public void eSet(int featureID,
                     java.lang.Object newValue)

  Specified by:
    `eSet` in interface `org.eclipse.emf.ecore.InternalEObject`
  Overrides:
    `eSet` in class `org.eclipse.emf.ecore.impl.BasicEObjectImpl`

### eUnset

    public void eUnset(int featureID)

  Specified by:
    `eUnset` in interface `org.eclipse.emf.ecore.InternalEObject`
  Overrides:
    `eUnset` in class `org.eclipse.emf.ecore.impl.BasicEObjectImpl`

### eIsSet

    public boolean eIsSet(int featureID)

  Specified by:
    `eIsSet` in interface `org.eclipse.emf.ecore.InternalEObject`
  Overrides:
    `eIsSet` in class `org.eclipse.emf.ecore.impl.BasicEObjectImpl`

### toString

    public java.lang.String toString()

  Overrides:
    `toString` in class `org.eclipse.emf.ecore.impl.BasicEObjectImpl`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD